# db/migrate/20240612000000_add_local_top_algorithm_support.rb
class AddLocalTopAlgorithmSupport < ActiveRecord::Migration[6.1]
    def change
      # Ensure status_stats exists (Mastodon usually has this)
      unless column_exists?(:statuses, :status_stat_id)
        add_reference :statuses, :status_stat, foreign_key: { on_delete: :cascade }
      end
  
      # Add user preference for feed algorithm (default: chronological)
      add_column :users, :feed_algorithm, :string, default: 'chronological'
    end
  end